# Uses of Interface
org.eclipse.net4j.connector.IConnector

Packages that use IConnector
Package
Description
org.eclipse.net4j
The Net4j transport layer.
org.eclipse.net4j.acceptor
The Net4j transport layer concepts for dealing with acceptors.
org.eclipse.net4j.connector
The Net4j transport layer concepts for dealing with connectors.
org.eclipse.net4j.jvm
Transport layer extension with support for JVM embedded connections.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.
org.eclipse.net4j.signal.heartbeat
A signal protocol implementation that realizes a configurable heart beat protocol.
org.eclipse.net4j.tcp
Transport layer extension with support for TCP socket connections.
org.eclipse.net4j.ws
Transport layer extension with support for Websocket connections.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of IConnector in org.eclipse.net4j

Methods in org.eclipse.net4j that return IConnector
Modifier and Type
Method
Description
`static IConnector`
Net4jUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`static IConnector`
Net4jUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String type, String description)`
`static IConnector`
Net4jUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String type, String description, long timeout)`
`static IConnector`
Net4jUtil.`getLocalConnector(org.eclipse.net4j.util.container.IManagedContainer container)`

## Uses of IConnector in org.eclipse.net4j.acceptor

Methods in org.eclipse.net4j.acceptor that return IConnector
Modifier and Type
Method
Description
`IConnector[]`
IAcceptor.`getAcceptedConnectors()`
Returns an array of the connectors that have been accepted by this acceptor and not been closed since.

## Uses of IConnector in org.eclipse.net4j.connector

Subinterfaces of IConnector in org.eclipse.net4j.connector
Modifier and Type
Interface
Description
`interface`
`IServerConnector`
Methods in org.eclipse.net4j.connector that return IConnector
Modifier and Type
Method
Description
`IConnector`
IConnectorEvent.`getSource()`
The `IConnector` that sent this event.

## Uses of IConnector in org.eclipse.net4j.jvm

Subinterfaces of IConnector in org.eclipse.net4j.jvm
Modifier and Type
Interface
Description
`interface`
`IJVMConnector`
A `connector` that implements JVM-embedded transport.

## Uses of IConnector in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal with parameters of type IConnector
Modifier and Type
Method
Description
`IChannel`
ISignalProtocol.`open(IConnector connector)`
`IChannel`
SignalProtocol.`open(IConnector connector)`

## Uses of IConnector in org.eclipse.net4j.signal.heartbeat

Constructors in org.eclipse.net4j.signal.heartbeat with parameters of type IConnector
Modifier
Constructor
Description
`protected`
`HeartBeatProtocol(String type, IConnector connector, Timer timer)`
``
`HeartBeatProtocol(IConnector connector)`
``
`HeartBeatProtocol(IConnector connector, Timer timer)`
``
`HeartBeatProtocol(IConnector connector, org.eclipse.net4j.util.container.IManagedContainer container)`

## Uses of IConnector in org.eclipse.net4j.tcp

Subinterfaces of IConnector in org.eclipse.net4j.tcp
Modifier and Type
Interface
Description
`interface`
`ITCPConnector`
A `connector` that implements non-blocking multiplexed TCP transport, optionally with `SSL`.

## Uses of IConnector in org.eclipse.net4j.ws

Subinterfaces of IConnector in org.eclipse.net4j.ws
Modifier and Type
Interface
Description
`interface`
`IWSConnector`
A `connector` that implements Websockets-based transport.

## Uses of IConnector in org.eclipse.spi.net4j

Subinterfaces of IConnector in org.eclipse.spi.net4j
Modifier and Type
Interface
Description
`interface`
`InternalConnector`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.spi.net4j that implement IConnector
Modifier and Type
Class
Description
`class`
`Connector`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.spi.net4j that return IConnector
Modifier and Type
Method
Description
`IConnector[]`
Acceptor.`getAcceptedConnectors()`
`IConnector[]`
Acceptor.`getElements()`
Methods in org.eclipse.spi.net4j with parameters of type IConnector
Modifier and Type
Method
Description
`void`
Acceptor.`removeConnector(IConnector connector)`